curl --request GET \
--url https://api.letsdothis.com/v0/membership-offerings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/membership-offerings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/membership-offerings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"schemeId": "<string>",
"tier": {
"id": "<string>",
"title": "<string>",
"description": "<string>"
},
"plan": {
"id": "<string>",
"title": "<string>",
"numberOfAdults": 123,
"numberOfChildren": 123,
"maxChildAge": 123,
"maxTotalMembers": 123,
"primaryMemberType": "<string>",
"description": "<string>"
},
"currentPrice": {
"id": "<string>",
"offeringId": "<string>",
"isCurrent": true,
"createdAt": "<string>",
"purchaseType": "ONE_TIME",
"amount": {
"value": 123,
"currencyCode": "<string>"
},
"fee": {
"value": 123,
"currencyCode": "<string>"
},
"billingInterval": "day",
"billingIntervalCount": 123,
"detailsAvailable": true,
"retiredAt": "<string>"
},
"benefits": [
{
"title": "<string>",
"type": "PRICE_ADJUSTMENT",
"restrictions": {
"eventIds": [
"<string>"
],
"eventOccurrenceIds": [
"<string>"
],
"raceIds": [
"<string>"
],
"ticketSlugs": [
"<string>"
],
"bookingItemIds": [
"<string>"
]
},
"adjustmentType": "ABSOLUTE_PRICE",
"amount": {
"value": 123,
"currencyCode": "<string>"
},
"percentage": 123,
"maxUses": 123,
"discountAppliesToBookingFee": true,
"resetsOnRenewal": true
}
],
"benefitsMarkdown": "<string>"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"code": "MEMBERSHIP_RESOURCE_NOT_FOUND",
"statusCode": 123,
"message": "<string>"
}{
"code": "MEMBERSHIP_RESOURCE_NOT_FOUND",
"statusCode": 123,
"message": "<string>"
}List purchasable membership offerings
Returns current purchasable offerings for an owned scheme, including tier, family plan composition, benefits and current price. This is what a new member or plan change would cost; an existing policy can be on a retired price. Disabled schemes and offerings without a complete price are omitted.
curl --request GET \
--url https://api.letsdothis.com/v0/membership-offerings \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.letsdothis.com/v0/membership-offerings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.letsdothis.com/v0/membership-offerings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"schemeId": "<string>",
"tier": {
"id": "<string>",
"title": "<string>",
"description": "<string>"
},
"plan": {
"id": "<string>",
"title": "<string>",
"numberOfAdults": 123,
"numberOfChildren": 123,
"maxChildAge": 123,
"maxTotalMembers": 123,
"primaryMemberType": "<string>",
"description": "<string>"
},
"currentPrice": {
"id": "<string>",
"offeringId": "<string>",
"isCurrent": true,
"createdAt": "<string>",
"purchaseType": "ONE_TIME",
"amount": {
"value": 123,
"currencyCode": "<string>"
},
"fee": {
"value": 123,
"currencyCode": "<string>"
},
"billingInterval": "day",
"billingIntervalCount": 123,
"detailsAvailable": true,
"retiredAt": "<string>"
},
"benefits": [
{
"title": "<string>",
"type": "PRICE_ADJUSTMENT",
"restrictions": {
"eventIds": [
"<string>"
],
"eventOccurrenceIds": [
"<string>"
],
"raceIds": [
"<string>"
],
"ticketSlugs": [
"<string>"
],
"bookingItemIds": [
"<string>"
]
},
"adjustmentType": "ABSOLUTE_PRICE",
"amount": {
"value": 123,
"currencyCode": "<string>"
},
"percentage": 123,
"maxUses": 123,
"discountAppliesToBookingFee": true,
"resetsOnRenewal": true
}
],
"benefitsMarkdown": "<string>"
}
],
"page": {
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
}{
"code": "MEMBERSHIP_RESOURCE_NOT_FOUND",
"statusCode": 123,
"message": "<string>"
}{
"code": "MEMBERSHIP_RESOURCE_NOT_FOUND",
"statusCode": 123,
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The number of entries to return per page. Range between 1 - 500, defaults to 100
1 <= x <= 500100
Accepts an existing page cursor. For more details see the definition of PageCursor in the response.
Accepts an existing page cursor. For more details see the definition of PageCursor in the response.
^[a-fA-F0-9]{24}$Response
Default Response
Show child attributes
Show child attributes
Cursor details for pagination.
- In scenarios with large amounts of data, it's common to return only a subset of data in a single request, known as a "page".
- Most API responses include two objects: a 'data' object with the query results, and a 'PageCursor' object detailing the current page.
- Cursors can be used to navigate to earlier or later pages in the set of results. For instance, passing the 'next' cursor from 'PageCursor' fetches the next set of results.
- Cursors are base64 encoded strings.
Show child attributes
Show child attributes
{
"totalResults": 506,
"first": "eyJpZCI6IjYzOTljMjAwMTVkNjBhZTNmZjI4ZjI0YyIsInVwZGF0ZWRBdCI6IjIwMjItMTItMTRUMTI6MzA6NTkuMjE3WiJ9",
"last": "eyJpZCI6IjY1NGNkZDIxZDlhMTU3ODdiNzFkMTM0YSIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNzI0WiJ9",
"prev": "",
"next": "eyJpZCI6IjY0NzBkNTkwM2RjOWE5OWJhMTA0Y2ZhYiIsInVwZGF0ZWRBdCI6IjIwMjMtMTEtMTNUMTU6MTE6MTIuNjE4WiJ9"
}
Was this page helpful?

